import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;

class SK1Model extends AbstractTableModel
{
  Object[][] veri;
  String[] baslik={"İsim ","Değer ","Birimler"};
  SK1 g;
  
  public SK1Model()
  {
  g=new SK1("YTO-RKSK-02");
  veri=g.abc();
  }
    
  public SK1Model(String SKNamei,double P,double T0,double f0,double T1,double f1,
double T2,double T3,double T4,double T7)
  {
    setValues(SKNamei,P,T0,f0,T1,f1,T2,T3,T4,T7);
  }

  public int getRowCount() {return veri.length;}
  public int getColumnCount() {return baslik.length;}
  public Object getValueAt(int satir,int sutun) {return veri[satir][sutun];}
  public String getColumnName(int c) {return baslik[c];}
  public void setValueAt(Object val, int row, int col)
  {
    veri[row][col] = val;
   }

  public void setValues(String SKNamei,double P,double T0,double f0,double T1,double f1,
double T2,double T3,double T4,double T7)
  {
  g=new SK1(SKNamei,P,T0,f0,T1,f1,T2,T3,T4,T7);
  veri=g.abc();
  }
  
  public boolean isCellEditable(int row, int col) {return true;}
}


